import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { SimpleNgxLoadingBarService } from './simple-ngx-loading-bar.service';
import { Subscription } from 'rxjs';
import { LoadingBar } from './simple-ngx-loading-bar.model';
export declare class SimpleNgxLoadingBarComponent implements OnInit, OnDestroy {
    private loaderService;
    private config;
    loaderEl: ElementRef;
    loadingValue: number;
    isLoading: boolean;
    intervalTime: number;
    intervalId: any;
    subscription: Subscription;
    constructor(loaderService: SimpleNgxLoadingBarService, config: LoadingBar);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    reset(): void;
    startLoading(): void;
    stopLoading(): void;
    keepLoading(): void;
    updateElement(): void;
    private setupBackgroundColor;
    ngOnDestroy(): void;
}
